import { Metadata } from "@readium/shared";
import { IPreferencesEditor } from "../../preferences/PreferencesEditor";
import { WebPubPreferences } from "./WebPubPreferences";
import { WebPubSettings } from "./WebPubSettings";
import { BooleanPreference, EnumPreference, Preference, RangePreference } from "../../preferences/Preference";
import { TextAlignment } from "../../preferences/Types";
export declare class WebPubPreferencesEditor implements IPreferencesEditor {
    preferences: WebPubPreferences;
    private settings;
    private metadata;
    constructor(initialPreferences: WebPubPreferences, settings: WebPubSettings, metadata: Metadata);
    clear(): void;
    private updatePreference;
    private get isDisplayTransformable();
    get fontFamily(): Preference<string>;
    get fontWeight(): RangePreference<number>;
    get hyphens(): BooleanPreference;
    get iOSPatch(): BooleanPreference;
    get iPadOSPatch(): BooleanPreference;
    get letterSpacing(): RangePreference<number>;
    get ligatures(): BooleanPreference;
    get lineHeight(): RangePreference<number>;
    get noRuby(): BooleanPreference;
    get paragraphIndent(): RangePreference<number>;
    get paragraphSpacing(): RangePreference<number>;
    get textAlign(): EnumPreference<TextAlignment>;
    get textNormalization(): BooleanPreference;
    get wordSpacing(): RangePreference<number>;
    get zoom(): RangePreference<number>;
}
